org.appng.xml.platform

## Class Localization

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Localization

- All Implemented Interfaces:
    Serializable

      public class Localization
      extends BaseObject
      implements Serializable

  Contains all localization-relevant information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `decimalSeparator`
    `protected String` | `groupingSeparator`
    `protected String` | `language`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Localization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDecimalSeparator()` Gets the value of the decimalSeparator property.
    `String` | `getGroupingSeparator()` Gets the value of the groupingSeparator property.
    `String` | `getLanguage()` Gets the value of the language property.
    `void` | `setDecimalSeparator(String value)` Sets the value of the decimalSeparator property.
    `void` | `setGroupingSeparator(String value)` Sets the value of the groupingSeparator property.
    `void` | `setLanguage(String value)` Sets the value of the language property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### language

          protected String language

    - #### decimalSeparator

          protected String decimalSeparator

    - #### groupingSeparator

          protected String groupingSeparator

  - ### Constructor Detail

    - #### Localization

          public Localization()

  - ### Method Detail

    - #### getLanguage

          public String getLanguage()

      Gets the value of the language property.
      Returns:
        possible object is `String`

    - #### setLanguage

          public void setLanguage(String value)

      Sets the value of the language property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDecimalSeparator

          public String getDecimalSeparator()

      Gets the value of the decimalSeparator property.
      Returns:
        possible object is `String`

    - #### setDecimalSeparator

          public void setDecimalSeparator(String value)

      Sets the value of the decimalSeparator property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGroupingSeparator

          public String getGroupingSeparator()

      Gets the value of the groupingSeparator property.
      Returns:
        possible object is `String`

    - #### setGroupingSeparator

          public void setGroupingSeparator(String value)

      Sets the value of the groupingSeparator property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.